=== debian/control ===
Source: tolua++
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 liblua5.1-dev,
 scons,
Standards-Version: 4.6.1
Homepage: http://www.codenix.com/~tolua/
Vcs-Git: https://salsa.debian.org/debian/toluaplusplus.git
Vcs-Browser: https://salsa.debian.org/debian/toluaplusplus

Package: libtolua++5.1-dev
Section: libdevel
Architecture: any
Depends: liblua5.1-dev, ${misc:Depends}, ${shlibs:Depends}
Description: extended tool to integrate C/C++ code with Lua (devel)
 tolua++5.1 is an extension of toLua, a tool to integrate C/C++ code with
 Lua. tolua++5.1 includes new features oriented to c++, such as class
 templates and is compiled with the newest lua 5.1.
 .
 Based on a "cleaned" header file, tolua++ automatically generates
 the binding code to access C/C++ features from Lua. Using Lua-5.1 API and
 metamethod facilities, the current version automatically maps C/C++
 constants, external variables, functions, namespace, classes, and methods
 to Lua. It also provides facilities to create Lua modules.
