## tolua++ 1.0.93+repack

=== debian/changelog ===
tolua++ (1.0.93+repack-0ubuntu2) groovy; urgency=medium

  * Use the debian packaging, with Ubuntu version number to fix build failures
    and grab new fixes from Debian.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Jun 2020 11:57:11 +0200
