## tolua++ 1.0.94+repack-0maemo1~fremantle

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPSTREAM_VERSION := $(shell uscan --force-download --dehs --no-symlink | \
   	      sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

get-orig-source:
	tar xjf ../tolua++-$(UPSTREAM_VERSION).tar.bz2
	GZIP=-9 tar czf ../tolua++_$(UPSTREAM_VERSION)+repack.orig.tar.gz \
		--exclude debian tolua++-$(UPSTREAM_VERSION)
	rm -r ../tolua++-$(UPSTREAM_VERSION).tar.bz2 tolua++-$(UPSTREAM_VERSION)

configure: config-stamp

config-stamp:
	dh_testdir

	cp $(CURDIR)/debian/custom.py $(CURDIR)

	scons prefix=$(CURDIR)/debian/libtolua++5.1-dev/usr configure

	touch $@

build: build-stamp

build-stamp: config-stamp
	dh_testdir

	scons all

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp config-stamp

	scons -c all configure

	rm -f ./.sconsign.dblite ./src/bin/toluabind.h

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	scons install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman debian/tolua++5.1.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: configure build clean binary-indep binary-arch binary install get-orig-source
