## tolua++ 1.0.94-1

=== SConstruct ===
--- 
+++ 
@@ -176,5 +176,5 @@
 	env.Command('install', [], print_install_error)
 	env.Depends('install', 'all')
 
-env.Command('deb', [], 'dpkg-buildpackage -I.svn -Icustom.py -Itoluabind_dev.c -Itoluabind_dev.h -Itoluabind_default.o -Icustom.lua -I.sconsign', ENV=os.environ)
+env.Command('deb', [], 'dpkg-buildpackage -rfakeroot -sa -I.git -I.svn -Icustom.py -Itoluabind_dev.c -Itoluabind_dev.h -Itoluabind_default.o -Icustom.lua -I.sconsign -klance.colton@gmail.com', ENV=os.environ)
